lv.eparaksts.edoc

## Interface EDoc2ArchivedSignature

- All Superinterfaces:
    EDoc2Signature, Validatable

      public interface EDoc2ArchivedSignature
      extends EDoc2Signature

  Signature interface represents ARCHIVE profile signature functionality
  See Also:
    `SignatureProfile`, `EDoc2Signature.getProfile()`

- - ### Field Summary

    - ### Fields inherited from interface lv.eparaksts.edoc.EDoc2Signature

      `KEY_SIGNATURE_METHOD_URI, SIGNATURE_METHOD_ECDSA_SHA256, SIGNATURE_METHOD_ECDSA_SHA384, SIGNATURE_METHOD_ECDSA_SHA512, SIGNATURE_METHOD_RSA_SHA1, SIGNATURE_METHOD_RSA_SHA224, SIGNATURE_METHOD_RSA_SHA256, SIGNATURE_METHOD_RSA_SHA384, SIGNATURE_METHOD_RSA_SHA512`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArchiveData(byte[] archiveTimestamp, List<byte[]> archiveTimestampCertificates, List<byte[]> archiveTimestampOCSPValues, List<byte[]> archiveTimestampCRLValues)` Adds all data for the signature that are required by ARCIVE profile
    `byte[]` | `calculateArchiveValueDigest(String messageDigestAlgorithm)` Calculates a digest with given algorithm.

    - ### Methods inherited from interface lv.eparaksts.edoc.EDoc2Signature

      `archivedSignature, basicSignature, complete, getArchiveTimestamps, getCertificateValues, getClaimedSigningTime, getCRLs, getId, getOCSPResponses, getProfile, getSignatureMethodAlgorithm, getSignatureProductionPlace, getSignatureTimestamps, getSignatureValue, getSignerClaimedRoles, getSigningCertificate, qualifiedSignature`

    - ### Methods inherited from interface lv.eparaksts.validation.Validatable

      `validate, validate`

- - ### Method Detail

    - #### calculateArchiveValueDigest

          byte[] calculateArchiveValueDigest(String messageDigestAlgorithm)
                                      throws EDoc2Exception

      Calculates a digest with given algorithm. The digest can be used for timestamp request
      Parameters:
        `messageDigestAlgorithm` - name of the digest calculation algorithm
      Returns:
        calculated digest
      Throws:
        `EDoc2Exception`

    - #### addArchiveData

          void addArchiveData(byte[] archiveTimestamp,
                              List<byte[]> archiveTimestampCertificates,
                              List<byte[]> archiveTimestampOCSPValues,
                              List<byte[]> archiveTimestampCRLValues)
                       throws EDoc2Exception

      Adds all data for the signature that are required by ARCIVE profile
      Parameters:
        `archiveTimestamp` - ASN.1 encoded archive timestamp
        `archiveTimestampCertificates` - A list of archive timestamp X.509 certificates
        `archiveTimestampOCSPValues` - A list of archive timestamp DER encoded OCSP values
        `archiveTimestampCRLValues` - A list of archive timestamp X.509 CRL values
      Throws:
        `EDoc2Exception`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO